/*
-------------
	OTHER
-------------
*/
.blockOverlay { background: white !important; opacity: 0.7 !important; z-index: 10 !important; }


/*
-----------------------
	SYSTEM MESSAGES
-----------------------
*/
.woocommerce-info, 
.woocommerce-error, 
.woocommerce-message { margin-left: 0 !important; margin-bottom: 20px; padding: 14px 170px 14px 20px; font-size: 16px; color: #242424; background: #f0faf0; border: 1px solid #359d35; position: relative; -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; }

ul.woocommerce-info li, 
ul.woocommerce-error li, 
ul.woocommerce-message li { margin-left: 20px; padding-left: 0 !important; list-style-type: square !important; }

.woocommerce-error { background: #fbcdcc; border-color: #f1655C; border-left-width: 5px; }

.woocommerce-info a, 
.woocommerce-message a { text-decoration: underline; color: #000; }

.woocommerce-info .button, 
.woocommerce-message .button { height: 30px; right: 20px; top: 8px; padding: 0 10px; font-size: 15px; line-height: 30px; position: absolute; }


/*
-------------
	FORMS
-------------
*/
.form-row { margin-bottom: 10px; }
.form-row.form-row-first { width: 48%; float: left; }
.form-row.form-row-last { width: 48%; float: right; }
.form-row.form-row-wide, 
.form-row.notes { width: 100%; float: none; clear: both; }

.form-row a { text-decoration: underline; color: #343230; }
.form-row a:hover { text-decoration: none; }

.form-row br { display: none; }
.form-row label { margin-bottom: 5px; font-size: 16px; text-align: left; display: block; }

.form-row select, 
.form-row textarea, 
.form-row input[type=tel], 
.form-row input[type=text], 
.form-row input[type=email], 
.form-row input[type=password] { width: 100%; height: 50px; padding-left: 10px; background: #e9eff5; border-bottom: 1px solid #213043; position: relative; }

.form-row select:focus, 
.form-row textarea:focus, 
.form-row input[type=tel]:focus, 
.form-row input[type=text]:focus, 
.form-row input[type=email]:focus, 
.form-row input[type=password]:focus { border-color: #000; }

.form-row textarea { height: 150px; padding: 10px; resize: vertical; }

.form-row.woocommerce-invalid-required-field input { border-color: #d91828 !important; }

.wpcf7-list-item { margin: 15px 0 0 !important; }

/* Columns */
.u-columns { width: 100%; border: 1px solid #d8d8d8; display: table; }
.u-columns .col-1,
.u-columns .col-2 { width: 50%; padding: 20px; vertical-align: top; display: table-cell; }
.u-columns .col-2 { border-left: 1px solid #d8d8d8; }

.woocommerce-privacy-policy-text { font-size: 15px; line-height: 20px; }


/*
-----------------------
	SINGLE PRODUCT
-----------------------
*/
.product { position: relative; }
.product.main_content .row .product_col_1 { width: 50%; position: relative; }
.product.main_content .row .product_col_1 .onsale { width: 100px; height: 100px; right: 30px; top: 30px; font-size: 30px; text-align: center; color: white; line-height: 100px; background: #ff7062; position: absolute; z-index: 10; }
.product.main_content .row .product_col_2 { width: 50%; padding-left: 100px; }

/* Images */
.product .images { text-align: center; position: relative; z-index: 1; overflow: hidden; }
.product .images img { width: auto; max-width: 100%; }

.product .images .woocommerce-product-gallery__image:nth-child(1) { margin-bottom: 50px; }
.product .images .woocommerce-product-gallery__image:nth-child(1) a { display: block; }
.product .images .woocommerce-product-gallery__image:nth-child(1) img { width: auto; max-width: 100%; height: auto; max-height: 450px; margin: auto; display: block; }

.product .images .woocommerce-product-gallery__image:nth-child(n+2) { width: 20%; width: calc(20% - 10px); margin: 0 5px; text-align: center; vertical-align: top; display: inline-block; }
.product .images .woocommerce-product-gallery__image:nth-child(n+2) a { width: 100%; padding: 5px; text-align: center; background: white; border: 3px solid #e9eaed; display: inline-block; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
.product .images .woocommerce-product-gallery__image:nth-child(n+2) a:hover { border-color: #86a2c4; }
.product .images .woocommerce-product-gallery__image:nth-child(n+2) a img { max-width: 100%; height: auto; margin: auto; display: block; }

/* Summary */
.product .summary .product_title { margin-bottom: 10px !important; font-size: 28px !important; font-weight: 700; color: #213043; line-height: 1 !important; }

/* Price */
.product .summary .price { margin-bottom: 30px; font-size: 24px; font-weight: 700; }
.product .summary .price del { font-size: 16px; font-weight: normal; text-decoration: line-through; display: block; }

/* Short description */
.product .summary .woocommerce-product-details__short-description { margin-bottom: 20px; font-size: 17px; color: #777; line-height: 25px; }

/* Delivery time */
.product .summary .delivery_time { margin-bottom: 30px; padding: 10px 0; border-top: 1px solid #ddd; border-bottom: 1px solid #ddd; }

/* Info text before add to cart */
.product .summary .info_text_before_add_to_cart { margin-bottom: 10px; font-size: 16px; font-weight: 700; color: #000; }

/* Add to cart */
.product .summary form.cart { height: 60px; margin-bottom: 50px; font-size: 0; background: #f1f5f9; display: inline-block; -webkit-border-radius: 30px; -moz-border-radius: 30px; border-radius: 30px; }
.product .summary form.cart .quantity { width: 100px; vertical-align: top; display: inline-block; }
.product .summary form.cart .quantity label { display: none; }
.product .summary form.cart .quantity input { width: 100%; height: 60px; font-size: 22px; text-align: center; background: transparent; }

.product .summary form.cart button.single_add_to_cart_button { height: 60px !important; padding: 0 50px !important; text-transform: uppercase; background-color: #359d35 !important; -webkit-border-radius: 30px; -moz-border-radius: 30px; border-radius: 30px; }
.product .summary form.cart button.single_add_to_cart_button:hover { background-color: #213043 !important; }

/* Meta */
.product .summary .meta { margin-bottom: 30px; padding-bottom: 30px; border-bottom: 1px solid #e9eaed; }
.product .summary .meta ul li { margin-bottom: 14px; padding-left: 40px; color: #777; position: relative; }
.product .summary .meta ul li:last-child { margin-bottom: 0; }
.product .summary .meta ul li:before { width: 30px; height: 30px; left: 0; top: -4px; font-size: 17px; text-align: center; color: white; line-height: 30px; background: #86a2c4; position: absolute; content: '\2714\fe0e'; -webkit-border-radius: 50%; -moz-border-radius: 50%; border-radius: 50%; }


/*
------------------
	SHOP TABLE
------------------
*/
table.shop_table { width: 100%; margin-bottom: 20px; border-spacing: 0; border-collapse: collapse; }

/* tFoot */
table.shop_table tfoot th, 
table.shop_table tfoot td { padding: 0 10px; }


/*
--------------
	CART
--------------
*/
table.shop_table .product-name { text-align: left; }
table.shop_table .product-price { text-align: center; line-height: 20px; }
table.shop_table .product-quantity { width: 170px; text-align: center; }
table.shop_table .product-subtotal { text-align: right; }

table.shop_table thead tr th { padding-bottom: 10px; font-size: 13px; font-weight: 700; text-transform: uppercase; color: #27282d; letter-spacing: 2px; border-bottom: 1px solid #dadada; }

table.shop_table tbody tr { position: relative; }
table.shop_table tbody tr td { padding: 10px 0; font-size: 17px; vertical-align: middle; color: #27282d; border-left: none !important; border-right: none !important; border-bottom: 1px solid #dadada; }
table.shop_table tbody tr td.product-thumbnail { width: 120px; text-align: center; }
table.shop_table tbody tr td.product-thumbnail a { display: block; }
table.shop_table tbody tr td.product-thumbnail img { width: auto !important; height: 70px !important; vertical-align: middle; display: inline-block; }

table.shop_table tbody tr td.product-name { font-weight: 700; color: #27282d; }
table.shop_table tbody tr td.product-name a { font-size: 16px; font-weight: 700; text-decoration: none !important; color: #27282d; }

/* Price */
table.shop_table tbody tr td.product-price { width: 100px; }

/* Quantity */
table.shop_table tbody tr td.product-quantity { padding-top: 13px; }
table.shop_table tbody tr td.product-quantity label { display: none; }
table.shop_table tbody tr td.product-quantity .quantity { width: 80px; height: 50px; padding: 0 10px; background: #fff4f4; border: 1px solid #ff7062; display: inline-block; -webkit-border-radius: 25px; -moz-border-radius: 25px; border-radius: 25px; }
table.shop_table tbody tr td.product-quantity .quantity input.qty { width: 100%; height: 100%; vertical-align: top; text-align: center; background: transparent; display: inline-block; }

/* Price */
table.shop_table tbody tr td.product-price { font-weight: 700; color: #1f2123; }
table.shop_table tbody tr td.product-price del { font-size: 14px; font-weight: normal; text-decoration: line-through; color: #999; display: block; }

/* Subtotal */
table.shop_table tbody tr td.product-subtotal { font-weight: 700; }

/* Remove product */
table.shop_table tbody tr td.product-remove { width: 60px; text-align: center; }
table.shop_table tbody tr td.product-remove a { width: 30px; height: 30px; text-indent: -9999px; background: #f1655c url(../images/icon_trash_white.svg) no-repeat center; background-size: auto 14px; display: inline-block; -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; }
table.shop_table tbody tr td.product-remove a:hover { background-color: #44403e; }

/* Coupon */
table.shop_table tbody tr td.actions { vertical-align: middle; border-top: 1px solid #dadada; border-bottom: none; }
table.shop_table tbody tr td.actions button[name=update_cart] { float: right; }

table.shop_table tbody tr td.actions .coupon { height: 50px; float: left; -webkit-border-radius: 25px; -moz-border-radius: 25px; border-radius: 25px; }
table.shop_table tbody tr td.actions .coupon label { display: none; }
table.shop_table tbody tr td.actions .coupon input[type=text] { width: 175px; height: 50px; text-align: center; vertical-align: top; background: #fff4f4; border: 1px solid #ff7062; border-right: none; display: inline-block; -webkit-border-radius: 25px 0 0 25px; -moz-border-radius: 25px 0 0 25px; border-radius: 25px 0 0 25px; }
table.shop_table tbody tr td.actions .coupon button { margin-left: -25px; }

/* Cart collaterals */
.cart-collaterals .cart_totals { width: 50%; padding: 30px; color: white; background: #213043; float: right; }
.cart-collaterals .cart_totals h2 { display: none; }
.cart-collaterals .cart_totals ul { margin-bottom: 0 !important; }
.cart-collaterals .cart_totals ul li { font-size: 17px; }
.cart-collaterals .cart_totals table.shop_table { margin-bottom: 0 !important; font-size: 17px; text-align: center; }
.cart-collaterals .cart_totals table.shop_table tbody tr th { width: 50%; padding: 10px; font-weight: 700; color: #86a2c4; border-bottom: 1px solid rgba(255,255,255,0.15); }
.cart-collaterals .cart_totals table.shop_table tbody tr td { width: 50%; padding: 10px; color: white; border-bottom: 1px solid rgba(255,255,255,0.15); }
.cart-collaterals .cart_totals table.shop_table tbody tr.order-total th,
.cart-collaterals .cart_totals table.shop_table tbody tr.order-total td { border-bottom-width: 1px; }
.cart-collaterals .cart_totals .wc-proceed-to-checkout { padding: 30px 0 0; border-bottom: none; }
.cart-collaterals .cart_totals .wc-proceed-to-checkout .checkout-button { width: 100%; padding: 0; text-align: center; background-color: #359d35 !important; display: block; }
.cart-collaterals .cart_totals .wc-proceed-to-checkout .checkout-button:hover { color: #213043 !important; background-color: white !important; }

.cart-collaterals .cart_totals ul#shipping_method { margin-left: 0 !important; }
.cart-collaterals .cart_totals ul#shipping_method li { margin-bottom: 5px; padding-left: 0 !important; list-style: none; }
.cart-collaterals .cart_totals ul#shipping_method li:last-child { margin-bottom: 0 !important; }
.cart-collaterals .cart_totals ul#shipping_method li:before { display: none !important; }
.cart-collaterals .cart_totals p.woocommerce-shipping-destination { display: none !important; }

/* Empty cart */
.cart-empty, 
.return-to-shop { text-align: center; }


/*
----------------
	CHECKOUT
----------------
*/
.woocommerce-form-coupon-toggle { display: none !important; }
form.checkout_coupon { margin-bottom: 30px; display: block !important; }
form.checkout_coupon p { margin-bottom: 5px !important; font-size: 16px; }

/* Table */
table.shop_table.woocommerce-checkout-review-order-table tbody td.product-name { font-size: 16px; }
table.shop_table.woocommerce-checkout-review-order-table tbody td.product-total { text-align: center; }

table.shop_table.woocommerce-checkout-review-order-table tfoot tr th, 
table.shop_table.woocommerce-checkout-review-order-table tfoot tr td { padding: 10px 0; border-bottom: 1px solid #d8d8d8; }
table.shop_table.woocommerce-checkout-review-order-table tfoot tr th { text-align: left; }
table.shop_table.woocommerce-checkout-review-order-table tfoot tr td { text-align: center; }

table.shop_table.woocommerce-checkout-review-order-table tfoot tr.shipping td { width: 320px; }
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.shipping ul { margin-bottom: 0 !important; margin-left: 0 !important; text-align: center; }
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.shipping ul li { margin: 5px 0 !important; padding-left: 0 !important; list-style: none !important; cursor: pointer; }
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.shipping ul li:before { display: none !important; }

table.shop_table.woocommerce-checkout-review-order-table tfoot tr.order-total th, 
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.order-total td { font-size: 20px; }

/* Payment methods */
.woocommerce-checkout-payment ul li { margin-left: 0 !important; padding-left: 0 !important; }
.woocommerce-checkout-payment ul li:before { display: none !important; }
.woocommerce-checkout-payment ul li label { font-size: 18px; font-weight: 700; }
.woocommerce-checkout-payment ul li.payment_method_paypal a, 
.woocommerce-checkout-payment ul li.payment_method_paypal img { display: none; }

/* Woocommerce info */
form.checkout ul.payment_methods { margin-bottom: 30px; margin-left: 0 !important; padding: 20px; background: #213043; }
form.checkout ul.payment_methods li { margin-bottom: 15px; padding: 0 !important; list-style: none !important; }
form.checkout ul.payment_methods li:last-child { margin-bottom: 0; }
form.checkout ul.payment_methods li p { margin-bottom: 0 !important; color: #ccc; }
form.checkout ul.payment_methods li label { color: white; cursor: pointer; }
form.checkout ul.payment_methods li.payment_method_barion img { margin: 5px 0 10px !important; display: block !important; }

form.checkout button#place_order { color: white !important; background: #359d35 !important; }
form.checkout button#place_order:hover { background: #213043 !important; }


/*
------------------
	MY ACCOUNT
------------------
*/
.addresses { width: 100%; display: table; table-layout: fixed; }
.addresses h2 { margin-bottom: 10px; font-size: 25px; font-weight: 700; }
.addresses .col-1, 
.addresses .col-2 { width: 50%; display: table-cell; }


/*
--------------
	ORDERS
--------------
*/
.woocommerce-order-details h2 { margin-bottom: 10px; font-size: 25px; font-weight: 700; }

table.shop_table.order_details tbody td.product-total { text-align: center; }
table.shop_table.order_details tfoot th, 
table.shop_table.order_details tfoot td { padding: 10px; border-bottom: 1px solid #ddd; }
table.shop_table.order_details tfoot th { text-align: right; }
table.shop_table.order_details tfoot td { text-align: center; }

.woocommerce-order .addresses { margin-bottom: 20px; background: #f1f5f9; border: 1px solid #ddd; }
.woocommerce-order .addresses p:last-child { margin-bottom: 0 !important; }
.woocommerce-order .addresses .col-1, 
.woocommerce-order .addresses .col-2 { padding: 20px; }


/*
----------------------
	THANK YOU PAGE
----------------------
*/
body.woocommerce-checkout.woocommerce-order-received #content h1 { margin-bottom: 10px; text-align: center; }
body.woocommerce-checkout.woocommerce-order-received ul.woocommerce-thankyou-order-details li { padding-left: 0 !important; }
body.woocommerce-checkout.woocommerce-order-received ul.woocommerce-thankyou-order-details li:before { display: none !important; }
body.woocommerce-checkout.woocommerce-order-received ul.woocommerce-thankyou-order-details li .name { width: 50%; font-size: 16px; vertical-align: top; display: inline-block; }
body.woocommerce-checkout.woocommerce-order-received ul.woocommerce-thankyou-order-details li .value { width: 50%; font-size: 16px; vertical-align: top; display: inline-block; }
body.woocommerce-checkout.woocommerce-order-received ul.woocommerce-thankyou-order-details li.woocommerce-order-overview__order .value { font-size: 18px; font-weight: 700; }

/* Addreses */
body.woocommerce-checkout.woocommerce-order-received .woocommerce-customer-details .col { width: 48%; padding: 20px; border: 1px solid #d8d8d8; }
body.woocommerce-checkout.woocommerce-order-received .woocommerce-customer-details .col p:last-child { margin-bottom: 0 !important; }
body.woocommerce-checkout.woocommerce-order-received .woocommerce-customer-details .col address { line-height: 20px; }


/*
----------------------
	CHAINED SELECT
----------------------
*/
.select2-container .select2-selection--single { height: 50px; }
.select2-container--default .select2-selection--single .select2-selection__arrow { top: 11px; }
.select2-container--default .select2-selection--single .select2-selection__rendered { line-height: 50px; }


/*
------------------
	RWD DESIGN
------------------
*/
@media only screen and (max-width: 1440px) { 

	/* SINGLE PRODUCT */
	.product.main_content .row .product_col_2 { padding-left: 30px; }
}

@media only screen and (max-width: 1200px) { 

	/* SINGLE PRODUCT */
	.product.main_content .row { display: block; }
	.product.main_content .row .product_col_1 { width: 100%; max-width: 700px; margin-left: auto; margin-right: auto; margin-bottom: 30px; display: block; }
	.product.main_content .row .product_col_2 { width: 100%; max-width: 700px; margin-left: auto; margin-right: auto; padding-left: 0; display: block; }
}

@media only screen and (max-width: 960px) { 

	/* CART: Cart collaterals */
	.cart-collaterals .cart_totals { width: 100%; float: none; }
}

@media only screen and (max-width: 768px) { 

	/* SHOP TABLE */
	table.shop_table.shop_table_responsive thead { display: none !important; }
	table.shop_table.shop_table_responsive tbody { display: block; }
	table.shop_table.shop_table_responsive tbody tr { display: block; }
	table.shop_table.shop_table_responsive tbody tr th { display: none; }
	table.shop_table.shop_table_responsive tbody tr td { width: 100%; display: block; }
	table.shop_table.shop_table_responsive tbody tr td::before { margin-right: 5px; font-weight: 700; vertical-align: top; color: #86a2c4; display: inline-block; content: attr(data-title) ": "; }
	table.shop_table.shop_table_responsive tbody tr td { text-align: left !important; }
	
	/* CART */
	form.woocommerce-cart-form { padding: 0; background: none; border: none; }
	table.shop_table.cart { padding: 0; background: none; border: none; }
	
	table.shop_table.cart tbody tr { margin: 20px 0; background: white; border: 1px solid #ddd; }
	table.shop_table.cart tbody tr:first-child { margin-top: 0; }
	table.shop_table.cart tbody tr td { padding: 10px; border-bottom-style: dotted; }
	table.shop_table.cart tbody tr td.product-thumbnail::before { display: none; }
	
	table.shop_table.cart tbody tr:last-child { margin-bottom: 0; border: none !important; }
	table.shop_table.cart tbody tr:last-child td { padding: 0; }
	
	table.shop_table.cart tbody tr td.product-quantity::before { display: none; }
	table.shop_table.cart tbody tr td.product-quantity input[type=number] { width: 100%; }
	
	table.shop_table.cart tbody tr td.product-subtotal { border-bottom: none; }
	
	table.shop_table.cart tbody tr td.product-remove { padding: 0; border-bottom: none; }
	table.shop_table.cart tbody tr td.product-remove::before { display: none; }
	table.shop_table.cart tbody tr td.product-remove a { right: 20px; top: 20px; position: absolute; }
	
	table.shop_table.cart tbody tr td.update_cart::before { display: none; }
	table.shop_table.cart tbody tr td.update_cart strong { display: block; }
	
	table.shop_table.cart tbody tr td.actions { border: none !important; }
	table.shop_table.cart tbody tr td.actions::before { display: none; }
	table.shop_table.cart tbody tr td.actions .coupon { height: auto; display: block; }
	table.shop_table.cart tbody tr td.actions .coupon .coupon_text { margin-right: 0; margin-bottom: 10px; line-height: 1; display: block; }
	table.shop_table.cart tbody tr td.actions .coupon .coupon_wrapper { display: block; }
	table.shop_table.cart tbody tr td.actions .coupon .coupon_wrapper input[type=text] { width: calc(100% - 170px); }
	table.shop_table.cart tbody tr td.actions .coupon .coupon_wrapper .button { width: 170px; padding: 0; }
	
	/* CART: Cart collaterals */
	.cart-collaterals .cart_totals { padding: 20px; }
	.cart-collaterals .cart_totals table.shop_table tbody tr td { width: 100%; }
	.cart-collaterals .cart_totals table.shop_table tbody tr.shipping td ul { vertical-align: top; display: inline-block; }
}

@media only screen and (max-width: 640px) { 
	.page-id-7 h1 {
		display: none;
	}
	
	.page-id-7 .woocommerce-notices-wrapper {
		display: none;
	}
	
	.page-id-7 .coupon {
		display: none!important;
	}


	/* FORMS */
	.form-row.form-row-first, 
	.form-row.form-row-last { width: 100%; float: none; }
	
	.form-row.form-row-wide .left { float: none; }
	.form-row.form-row-wide .right { float: none; }
	.form-row.form-row-wide .button { width: 100%; display: block; }
	
	/* CART: Coupon */
	table.shop_table tbody tr td.actions button[name=update_cart] { width: 100%; display: block; float: none; }
	
	table.shop_table tbody tr td.actions .coupon { width: 100%; margin-bottom: 20px; font-size: 0; float: none; }
	table.shop_table tbody tr td.actions .coupon input[type=text] { width: 50%; }
	table.shop_table tbody tr td.actions .coupon button { width: 50%; width: calc(50% + 25px); }
	
	/* MY ACCOUNT */
	.addresses { display: block; }
	.addresses .col-1, 
	.addresses .col-2 { width: 100%; display: block; }
	
	/* ORDERS */
	table.shop_table.order_details { font-size: 17px; }
	table.shop_table.order_details thead th { text-align: left; }
	table.shop_table.order_details tbody td { text-align: left !important; }
	table.shop_table.order_details tfoot th { padding: 10px 0; text-align: left; }
	table.shop_table.order_details tfoot td { padding: 10px 0; text-align: left; }
}

@media only screen and (max-width: 480px) { 

	/* SYSTEM MESSAGES */
	.woocommerce-info, 
	.woocommerce-error, 
	.woocommerce-message { padding: 14px 20px; }

	.woocommerce-info .button, 
	.woocommerce-message .button { right: auto; top: auto; margin-bottom: 10px; position: relative; }

	/* SINGLE PRODUCT */
	.product.main_content .row .product_col_1 .onsale { width: 70px; height: 70px; right: 0; top: 0; font-size: 24px; line-height: 70px; }
	
	/* SINGLE PRODUCT: Cart */
	.product .summary form.cart { width: 100%; height: 120px; margin-bottom: 30px; }
	.product .summary form.cart .quantity { width: 100%; }
	.product .summary form.cart button.single_add_to_cart_button { width: 100%; padding: 0 !important; }

	/* CHECKOUT: Coupon */
	form.checkout_coupon .button { width: 100%; padding: 0; display: block; }

	/* CART: Coupon */
	table.shop_table tbody tr td.actions .coupon input[type=text] { width: 100%; margin-bottom: 5px; display: block; -webkit-border-radius: 25px; -moz-border-radius: 25px; border-radius: 25px;}
	table.shop_table tbody tr td.actions .coupon button { width: 100%; margin-left: 0; }
}

